Package: io.vertx.groovy.ext.shell.cli

## [Groovy] Class Completion

- io.vertx.groovy.ext.shell.cli.Completion

- The completion object

- - ### Constructor Summary

    Constructors
    Constructor and description
    `Completion (java.lang.Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `complete(java.util.List<java.lang.String> candidates)` End the completion with a list of candidates, these candidates will be displayed by the shell on the console.
    `void` | `complete(java.lang.String value, boolean terminal)` End the completion with a value that will be inserted to complete the line.
    `java.lang.Object` | `getDelegate()`
    `java.util.List<CliToken>` | `lineTokens()` @return Returns: the current line being completed as preparsed tokens
    `java.lang.String` | `rawLine()` @return Returns: the current line being completed in raw format, i.e without any char escape performed
    `Session` | `session()` Returns: the shell current session, useful for accessing data like the current path for file completion, etc...
    `Vertx` | `vertx()` @return Returns: the current Vert.x instance

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### Completion(java.lang.Object delegate)

  - ### Method Detail

    - #### void complete(java.util.List<java.lang.String> candidates)

      End the completion with a list of candidates, these candidates will be displayed by the shell on the console.

      Parameters:
        `candidates` - the candidates

    - #### void complete(java.lang.String value, boolean terminal)

      End the completion with a value that will be inserted to complete the line.

      Parameters:
        `value` - the value to complete with
        `terminal` - true if the value is terminal, i.e can be further completed

    - #### java.lang.Object getDelegate()

    - #### java.util.List<CliToken> lineTokens()

      Returns:
        the current line being completed as preparsed tokens

    - #### java.lang.String rawLine()

      Returns:
        the current line being completed in raw format, i.e without any char escape performed

    - #### Session session()

      Returns:
        the shell current session, useful for accessing data like the current path for file completion, etc...

    - #### Vertx vertx()

      Returns:
        the current Vert.x instance